#!/usr/bin/python

"""
This will take input of hexidecimal text (ie. 2 bytes within [0-9a-f]) and converts them to their chr() representation
"""

import sys
import sre

output = "" 
inputline = " "
try:
  while (len(inputline) > 0):
    inputline = sys.stdin.readline()
#    print  ("one line read!: %d  %s" % (len(inputline),inputline))
    input = sre.sub("\n","",inputline)
    outputline = ""
    for i in range(len(input)/2):
      outputline += chr(int(input[(i*2):(i*2)+2],16))
    print (outputline)

except:
  pass
